Bug 51025 - BinaryFS broken for inline file content
BinaryFS broken for inline file content
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
4.x
All All
: P2 (vote)
: 4.x
Assigned To: Petr Nejedly
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-01 10:36 UTC by pzajac
Modified: 2008-12-22 20:32 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
test's log (6.61 KB, text/html)
2004-11-01 10:36 UTC, pzajac
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pzajac 2004-11-01 10:36:01 UTC
Test Case:  	 testBinaryCacheManager
Test Suite: 
org.netbeans.core.projects.cache. BinaryCacheManagerTest
Module Name: 	core
jdk:    1.4.2-0x
Comment 1 pzajac 2004-11-01 10:36:39 UTC
Created attachment 18636 [details]
test's log
Comment 2 Petr Nejedly 2004-11-03 13:00:54 UTC
Test really fails.
Comment 3 Petr Nejedly 2004-11-03 13:35:51 UTC
The test is right, BinaryFS doesn't handle CDATA content properly.
Comment 4 Petr Nejedly 2004-11-03 14:11:39 UTC
core/src/org/netbeans/core/projects/cache/BinaryFS.java,v1.14

The diff of the fix is at
http://www.netbeans.org/source/browse/core/src/org/netbeans/core/projects/cache/BinaryFS.java.diff?r1=1.13&r2=1.14&f=u
Comment 5 Petr Nejedly 2004-11-04 14:54:00 UTC
Backported the fix to the release40 branch.
core/src/org/netbeans/core/projects/cache/BinaryFS.java,v1.13.10.1
Comment 6 pzajac 2004-11-15 09:06:04 UTC
v


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo